Bug 16708 - libposix.so is missing
libposix.so is missing
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
7.0
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-21 21:01 EDT by Gerald Kelly
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-22 11:08:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tar archive containing Lotus Notes C API program source & makefile (20.00 KB, application/octet-stream)
2000-08-21 21:06 EDT, Gerald Kelly
no flags Details

  None (edit)
Description Gerald Kelly 2000-08-21 21:01:48 EDT
Attempted to compile a sample program from  the Lotus Notes R5.0.3 C  API
toolkit . (sample program is called intro)  The build fails because
libposix.so cannot  be found to link with.  A find search of my hard drive
cannot locate this file. This same sample program builds properly under
RedHat 6.2 (intel), as libposix.so  exists in /usr/lib
Comment 1 Gerald Kelly 2000-08-21 21:06:10 EDT
Created attachment 2798 [details]
tar archive containing Lotus Notes C API  program source &  makefile
Comment 2 Jakub Jelinek 2000-08-22 12:16:47 EDT
Actually, there was just libposix.a, never libposix.so, and it has always been
a dumb library for broken programs (it did not contain anything), so you can
safely remove it from the Makefiles. glibc itself provides POSIX mandated
interfaces (and -lpthread, -lrt and other libraries as needed).

Note You need to log in before you can comment on or make changes to this bug.